version: '3'
name: dbs-integration

services:
  postgresql:
    build:
      context: ./postgresql
    ports:
      - 5432:5432/tcp
    environment:
      POSTGRES_PASSWORD: password123
    restart: always
  
  redis: # cache to the main database
    build:
      context: ./redis
    ports:
      # redis should be in a private subnet,
      # but this is fine for playing around
      - 6379:6379/tcp 